package com.ruoyi.web.modules.architecture.service;

import java.util.List;
import com.ruoyi.web.modules.architecture.domain.BizFeedingStandard;

/**
 * 饲喂标准 服务
 */
public interface IBizFeedingStandardService
{
    BizFeedingStandard selectBizFeedingStandardById(Long id);

    List<BizFeedingStandard> selectBizFeedingStandardList(BizFeedingStandard query);

    int insertBizFeedingStandard(BizFeedingStandard row);

    int updateBizFeedingStandard(BizFeedingStandard row);

    int deleteBizFeedingStandardByIds(Long[] ids);

    int syncKb(Long id);

    int removeKb(Long id);

    int publish(Long id);

    int offline(Long id);
}
